Subject: Writing an AC97 device driver for MPC52xx

From: [email-masked]
Date: Thu, 03 May 2007 16:22:59 +0200

Hi all,

i try to write device driver for an AC97 external codec on MPC5200 controller. The PSC1 and 2 on MPC5200 can be configured as AC97.

I'm a little bit new in this topic of writing linux drivers and read a lot in the internet about this. (e.g. http://www.alsa-project.org/~iwai/writing-an-alsa-driver/x1052.htm )

But i have some questions:

- Is there a simple driver maybe on other platforms available, which have the same problem solved?? Most of the sound drivers are coupled with pci.

- I only have to write the pure hardware (PSC) stuff, or?? I'm little confused on how i should handle this with AC97 (ac97_codec.c) and ALSA.

- Is this for my driver the correct layer:
  User App -> ALSA -> AC97 -> "My driver" -> Hardware MPC52xx

I'm glad for any hint!

Spitzauer
-- 
"Feel free" - 10 GB Mailbox, 100 FreeSMS/Monat ...
Jetzt GMX TopMail testen: http://www.gmx.net/de/go/topmail